<template>
  <div>
    <div v-for="type in Object.keys(alerts)">
      <div v-for="message, index in alerts[type]"
        :class="alertClass(type)">
        <a class="close"
          @click="removeAlert(type, index)"
          aria-label="close">&times;</a>
        {{ message }}</div>
    </div>
  </div>
</template>

<script>

export default {
  name: 'notify',
  data () {
    return {
    }
  },
  computed: {
    alerts () {
      return this.$store.getters.getAlerts
    }
  },
  watch: {
    '$route' (to, from) {
      this.cleanAllAlerts()
    }
  },
  methods: {
    alertClass (type) {
      return `alert alert-${type} alert-dismissable`
    },
    addAlert (type, message) {
      this.$store.commit('addAlert', {type, message})
    },
    removeAlert (type, index) {
      this.$store.commit('removeAlert', {type, index})
    },
    cleanAllAlerts () {
      this.$store.commit('cleanAlerts')
    }
  }
}
</script>

<style scoped>
</style>
